* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

/* Kolory zdefiniowane jako zmienne dla całego dokumentu */
:root {
    --primary-color: whitesmoke;

    --accent-color: #d8c6ac;

    --text-color: #000000;

    --different: #d67a73;
}

body {
    color: var(--text-color);
    background-image: url(images/tło.jpg);
    font-family: 'Roboto', sans-serif;
    font-weight: lighter;
    box-sizing: border-box;
    margin: 0;
    display: flex;
    flex-direction: column;
    display: border-box;


}

body a{
    text-decoration: none;
}



/* animacja zdefiniowana jest tu */

@keyframes fadeInMoveRight {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}





header {

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 90vh;
    margin-bottom: 3rem;
}




h1 {

    width: 100%;
    margin-top: 5rem;
    font-size: 4em;
    text-align: center;
    padding-top: 10vh;
    padding-bottom: 20px;
    font-weight: lighter;
    font-style: italic;
    /* animation: fadeInMoveRight 1.6s ease-in-out; */


}

h2 {
    text-align: center;

    background-color: var(--primary-color);
    text-transform: uppercase;
    padding-bottom: 15px;
    padding-left: 10px;
    padding-right: 10px;
    border-top: 2px dotted;

    border-color: var(--accent-color);
    border-radius: 5px;
    padding-top: 10px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);

    font-weight: lighter;
    background-color: var(--accent-color);
}

header h2 {
    animation: fadeInMoveRight 2s ease-in-out;
}







h3 {

    padding: 2rem;
    text-align: center;
    border-bottom: 2px dotted;
    border-top: 2px dotted;
    border-color: var(--accent-color);
    text-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    margin-top: 3rem;
    margin-bottom: 3rem;
    line-height: 3rem;

}




/* Nawigacja */

/* Styl dla checkboxa */
#menu-toggle {
    display: none; /* Ukrywa checkbox */
}

/* Styl dla ikony menu */
.menu-icon {
    display: none; /* Domyślnie ukryte, pokazane tylko na ekranach mobilnych */
    font-size: 30px; /* Rozmiar ikony hamburger */
    cursor: pointer; /* Kursor wskazujący, że można kliknąć */
}

/* Styl dla nawigacji */
nav {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    background-color: var(--accent-color);
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    margin-bottom: 1px;
}

nav ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    list-style-type: none;
    padding-top: 5px;
    padding-bottom: 5px;
}



/* Pokaż listę, gdy checkbox jest zaznaczony */
#menu-toggle:checked + .menu-icon + ul {
    display: flex;
    flex-direction: column;
    text-align: center;
}

/* Responsywność dla urządzeń mobilnych */
@media (max-width: 600px) {
    .menu-icon {
        display: block; /* Pokaż ikonę menu na ekranach mobilnych */
    }

    nav ul {
        flex-direction: column;
        width: 100%;
        display: none; /* Ukryj listę na ekranach mobilnych */
    }

    nav ul li {
        width: 100%;
        padding: 10px;
        border-bottom: 1px solid var(--text-color); /* Dodaj linię pomiędzy linkami */
    }
}



nav ul a {
    text-decoration: none;
    font-size: large;
    text-transform: uppercase;
    padding: 20px;
    color: #333;
}


nav ul li #oferta {
    background-color: var(--different);
    border-radius: 5px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

/* efekty linku w nawigacji */

nav ul li a {
    position: relative;
    text-decoration: none;
    font-size: large;
    text-transform: uppercase;
    overflow: hidden;
    /* Zapobiega widoczności podkreślenia poza linkiem */
    display: inline-block;
    /* Umożliwia określenie wielkości pseudo-elementu */
    color: var(--text-color);
}

nav ul li a::before {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 0;
    width: 0%;
    /* Początkowa szerokość podkreślenia */
    height: 2px;
    /* Wysokość podkreślenia */
    background-color: #000;
    /* Kolor podkreślenia */
    transition: width 0.5s ease-in-out;
    /* Animacja poszerzania */

}

nav ul li a:hover::before {
    width: 100%;
    /* Pełna szerokość podkreślenia po najechaniu */
}


/* Styl dla Dropdown Menu */
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--accent-color);
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}



    /* Pokazuje dropdown menu po najechaniu */
    .dropdown:hover .dropdown-content {
        display: block;
    }


/* Styl dla linków w dropdown menu */
.dropdown-content a:hover {
    background-color: var(--primary-color);
}


main{
  margin-left: 5rem;
  margin-right: 5rem;
  
}
section {
    margin: 60px;
}

p {
    padding: 15px;
    line-height: 2em;
    text-align: justify;

}

/* Książki */
.books-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    /* Kolumny dostosowują się do szerokości ekranu */
    gap: 20px;
    /* Odstępy między elementami */
    padding: 20px;
    /* Odstępy od krawędzi kontenera */
}

.book {
    display: flex;
    align-items: center;
    /* Wyśrodkowanie elementów w pionie */
}

.book img {
    width: 20rem;
    /* Szerokość okładki */
    height: auto;
    /* Wysokość zachowująca proporcje */
    margin-right: 10px;
    /* Odstęp między okładką a opisem */
    margin: 10px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);

}



/* Spotkania autorskie */

img {
    border-radius: 5px;
}

.meet {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.meet>div {
    flex-basis: 50%;
    /* Każdy div zajmuje połowę szerokości kontenera */
    padding: 10px;
    /* Dodaje trochę odstępu wewnątrz każdego diva */
}

.meet img {
    max-width: 100%;
    /* Obrazek dostosowuje się do szerokości kontenera */
    height: auto;
    /* Utrzymanie proporcji obrazka */
}

.email-button {
    display: block;
    /* Przycisk jako blok */
    margin: 10px auto;
    /* Wyśrodkowanie przycisku */
    padding: 10px 20px;
    /* Odstępy wewnątrz przycisku */
}

@media (max-width: 600px) {
    .meet {
        flex-direction: column;
        /* Stosuje układ pionowy na mniejszych ekranach */
    }

    .meet>div {
        flex-basis: 100%;
        /* Każdy div zajmuje całą dostępną szerokość */
    }
}

/* Oferta Copywrting */

div img {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* Delikatny cień dla każdego elementu */
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(45%, 1fr));
    /* Ustawia dwie usługi w rzędzie, dostosowuje się do szerokości ekranu */
    gap: 20px;
    /* Odstęp między elementami */
    padding: 20px;
    /* Odstępy od krawędzi kontenera */
}

.grid-item {
    background: #f9f9f9;
    /* Kolor tła dla każdego elementu */
    border-radius: 15px;
    /* Zaokrąglone brzegi */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* Delikatny cień dla każdego elementu */
    text-align: center;
    /* Wyśrodkowanie tekstu */
    padding: 15px;
    /* Odstępy wewnątrz elementu */
}

.grid-item img {
    width: 80%;
    /* Szerokość obrazka */
    height: auto;
    /* Wysokość obrazka zachowująca proporcje */
    margin-bottom: 10px;
    /* Odstęp między obrazkiem a tekstem */
    border-radius: 10px;
    /* Zaokrąglone brzegi obrazka */
}

/* Styl dla opisu i ceny */
.grid-item p {
    margin: 10px 0;
    /* Odstępy dookoła tekstu */
    font-size: 1em;
    /* Rozmiar czcionki */
    /* Możesz dodać inne style dla tekstu, np. kolor, rodzaj czcionki itd. */

}


/* Kontakt:wyślij email,przycisk! */

.email-button {
    display: inline-block;
    padding: 15px 25px;
    margin: 15px;
    background-color: var(--accent-color);
    color: var(--text-color);
    border-radius: 25px;
    text-decoration: none;
    font-weight: bold;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    /* początkowy cień */
    transition: color 0.3s, box-shadow 0.3s;
    /* animacja zmiany koloru tekstu i cienia */
}

.email-button:hover {
    color: var(--primary-color);
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.2);
    /* zmniejszony cień dla efektu wciśnięcia */
}

/* ikonki social media */

.social-button {
    display: inline-block;
    padding: 15px 25px;
    margin: 15px;
    background-color: var(--accent-color);
    color: var(--text-color);
    border-radius: 50px;
    text-decoration: none;
    font-weight: bold;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    transition: color 0.3s, box-shadow 0.3s;
    font-size: 20px;
    /* Rozmiar ikon */
}

.social-button:hover {
    color: var(--primary-color);
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.2);
}



/* Footer */

footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    background-color: var(--accent-color);
    /* Kolor tła */
    color: var(--text-color);
    /* Kolor tekstu */
    padding: 20px 0;
    /* Odstępy wewnętrzne */
    text-align: center;
    /* Wyśrodkowanie tekstu */
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.2);
}

footer ul li {
    list-style-type: none;
    margin: 10px;
}

footer ul li a {
    text-decoration: none;
    color: var(--text-color);

}

footer ul li a:hover {
    text-decoration: underline;
    color: var(--primary-color);

}



.contact-info {

    margin: 10px;
    /* Odstępy między kolumnami */
}

/* !!!! Media Responsywność */



/* nawigacja */
/* Responsywność dla urządzeń mobilnych */
@media (max-width: 600px) {
    nav ul {
        flex-direction: column; /* Zmiana kierunku na pionowy */
    }
    /* Ukryj dropdown menu na urządzeniach mobilnych */
    /* .dropdown-content{
        display: none;
    }
     */
    }

    @media (max-width: 600px) {
        .kontakt-div, .book, .contact-info {
            padding: 10px; /* Zmniejszenie paddingu */
            margin: 10px 5px; /* Zmniejszenie marginesu */
        }
    
        header, main {
            padding: 0 5%; /* Dodanie lekkiego paddingu po bokach dla większej czytelności */
        }
    }



/* header */
/* Responsywność dla urządzeń mobilnych */
@media (max-width: 800px) {
    header {
        flex-direction: column;
        text-align: center;
        height: auto;
        justify-content: space-around;
    }

    header img{
        width: 22%;
        position: absolute;
    
        top: 3rem;
        right: 1rem;
    }

    h1{
        margin-top: 5px;
    }

}

/* książki */
@media (max-width: 600px) {
    .book {
        flex-direction: column; /* Zmienia kierunek na pionowy */
        align-items: center; /* Wyśrodkowanie elementów */
        text-align: center; /* Wyśrodkowanie tekstu */
        
        
    }

    .book img {
        width: 100%; /* Obrazek zajmuje całą szerokość elementu */
        margin-right: 0; /* Usuwa prawy margines dla obrazka */
    }
}


/* Kontakt */

@media (max-width: 600px) {
    .contact-info {
        flex-basis: 100%;
        
        /* Na mniejszych ekranach każda kolumna zajmuje 100% szerokości */
    }
}

/* main */
@media (max-width: 600px) {
    main{margin: 0;
        text-align: center;

    }

    section{
        margin:0;
    }

    div p{
        margin:0;
    }
   }


/* Media */

/* Odpowiednia responsywność na małych ekranach */
@media (max-width: 600px) {
    .grid-container {
        grid-template-columns: 1fr;
        /* Jedna usługa na szerokość na mniejszych ekranach */
    }
}